//main.h


#ifndef _main_h_
#define _main_h_

#define _help_ "\n\
binfiles - предназначена для слеивания/разделения бинарных файлов в один/в два. Скленивание в 16-ти\n\
битный формат двух 8-ми битных, один из которых содержит старшие, а другой младшие байты.\n\
Разделение это обратная операция.\n\
\n\
параметры:\n\
--help  - текущая подсказка\n\
--glueHL <fileH> <fileL> <file>  - склеить содержимое старших байов в файле <fileH>\n\
                                  и младших байтов в файле <fileL> с сохранением в\n\
                                  в файл <file>. Вид: 0xHHLL = (0xHH << 8) | 0xLL\n\
--glueLH <fileH> <fileL> <file>  - склеить содержимое старших байов в файле <fileH>\n\
                                  и младших байтов в файле <fileL> с сохранением в\n\
                                  в файл <file>. Вид: 0xLLHH = (0xLL << 8) | 0xHH\n\
--cutHL <fileH> <fileL> <file>  - разрезать содержимое старших байов и младших байтов\n\
                                  в файле <file> с сохранением в файлы <fileH> и <fileL>.\n\
                                  Вид: 0xHH = ((0xXXXX & 0xFF00) >> 8) и 0xLL = (0xXXXX & 0x00FF)\n\
--cutLH <fileH> <fileL> <file>  - разрезать содержимое старших байов и младших байтов\n\
                                  в файле <file> с сохранением в файлы <fileH> и <fileL>.\n\
                                  Вид: 0xHH = (0xXXXX & 0x00FF) и 0xLL = ((0xXXXX & 0xFF00) >> 8)\n\
\n\
"

#define _err1_ "\n\
не полное описание для выполнения\n\
\n\
"

#define _ferr1_ "\n\
ошибка открытия файла:\n"

#define _ferr2_ "\n\
ошибка рвботы с файлом\n"

#define _HL_	1
#define _LH_	2

#define _szname	128


int	glue(int);
int	cut(int);

#endif

